%define module 	XML-DT
%define version 0.19
%define release 4mdk

Summary:	A perl XML down translate module
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Url:      http://www.di.uminho.pt/~jj/perl/XML/XML-DT.readme.html
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Requires: 	perl
Requires:	perl-XML-Parser
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch


%description
The %{module} is a perl module that do XML down translation.
Based on XML::Parser (tree mode), it is designed to do simple and
compact translation/processing of XML documents.

%prep
%setup -q  -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} 
%{__make}


%install
rm -rf $RPM_BUILD_ROOT
%{__make} PREFIX=$RPM_BUILD_ROOT%{_prefix} install


%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README MANIFEST Changes examples
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.19-4mdk
- fix missing url
- enhanced summary & description

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.19-3mdk
- rebuild for perl 5.8.0

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.19-2mdk
- rebuild

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.19-1mdk
- First Mandrake Release

